from src.einstellungen import *
import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)
 
class motor:

    pos = 0
    freq = freq
    freq_halten = freq_halten
    cyc_halten = cyc_halten
    schritte_max = 0

    def __init__(self, name, sp1, sp2, sp3, sp4, t1, t2, te, es, halten):
        self.name = name
        self.sp1 = sp1
        self.sp2 = sp2
        self.sp3 = sp3
        self.sp4 = sp4
        self.t1 = t1
        self.t2 = t2
        self.te = te
        self.endschalter = es
        self.halten = halten

        GPIO.setup(sp1, GPIO.OUT)
        GPIO.setup(sp2, GPIO.OUT)
        GPIO.setup(sp3, GPIO.OUT)
        GPIO.setup(sp4, GPIO.OUT)

        self.pwm1 = GPIO.PWM(sp1, freq)
        self.pwm1.start(0)
        self.pwm1.ChangeDutyCycle(0)

        self.pwm2 = GPIO.PWM(sp2, freq)
        self.pwm2.start(0)
        self.pwm2.ChangeDutyCycle(0)

        self.pwm3 = GPIO.PWM(sp3, freq)
        self.pwm3.start(0)
        self.pwm3.ChangeDutyCycle(0)

        if self.halten == 1:
            self.pwm4 = GPIO.PWM(sp4, freq_halten)
            self.pwm4.start(0)
            self.pwm4.ChangeDutyCycle(cyc_halten)
        else:
            self.pwm4 = GPIO.PWM(sp4, freq)
            self.pwm4.start(0)
            self.pwm4.ChangeDutyCycle(0)

        
